Bug 85594 (Calc-Toolbars-Revamp) - [META] Revamp of Calc toolbars in 4.4+
Summary: [META] Revamp of Calc toolbars in 4.4+
Status: ASSIGNED
Alias: Calc-Toolbars-Revamp
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: Yousuf Philips (jay)
QA Contact:
URL:
Whiteboard: target:4.4.0 target:5.0.0 target:5.1....
Keywords:
Depends on: 60349 86132
Blocks: Calc-UX Calc-Toolbars
  Show dependency treegraph
 
Reported: 2014-10-29 11:19 UTC by Yousuf Philips (jay)
Modified: 2017-10-22 20:29 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
mockup screenshot (42.50 KB, image/png)
2014-10-29 20:52 UTC, Yousuf Philips (jay)
Details
completed look (36.44 KB, image/png)
2014-11-10 14:48 UTC, Yousuf Philips (jay)
Details
My calc toolbar (67.46 KB, image/png)
2014-11-16 21:24 UTC, Mikeyy - L10n HR
Details
Screenshot (2.38 KB, image/png)
2015-01-17 14:07 UTC, Adolfo Jayme
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2014-10-29 11:19:28 UTC
Similar to bug 81475 and 84909, I am working on improving Calc's standard and formatting toolbars with the help of OOo's tracking data, as well as feedback from the QA and design team users of Calc.
Comment 1 Cor Nouws 2014-10-29 14:26:17 UTC
Hi Jay,

Yes, let's do that :)
Comment 2 Timur 2014-10-29 15:05:40 UTC
In Calc, I use 'Show All Notes' and 'Hide All Notes' toolbar icons (Notes is now Comments), but that's from ShowNotes extension http://extensions.libreoffice.org/extension-center/shownotes. 
There are no buttons for this in LO 4.4, only buttons 'Show Comment' and 'Hide Comment' without icon, but cells must be selected before using them (added in Bug 39454). 
I prefer to have new buttons with icons for 'Show All Comments' and 'Hide All Comments' and also icons for 'Show Comment' and 'Hide Comment' buttons.
Should I open a new bug? Please open or comment. Thank you.
Comment 3 Yousuf Philips (jay) 2014-10-29 20:20:29 UTC
(In reply to Cor Nouws from comment #1)
> Hi Jay,

Hi Cor,

> Yes, let's do that :)

Let the games begin.

(In reply to Timur from comment #2)
> In Calc, I use 'Show All Notes' and 'Hide All Notes' toolbar icons (Notes is
> now Comments), but that's from ShowNotes extension
> http://extensions.libreoffice.org/extension-center/shownotes. 
> There are no buttons for this in LO 4.4, only buttons 'Show Comment' and
> 'Hide Comment' without icon, but cells must be selected before using them
> (added in Bug 39454). 
> I prefer to have new buttons with icons for 'Show All Comments' and 'Hide
> All Comments' and also icons for 'Show Comment' and 'Hide Comment' buttons.
> Should I open a new bug? Please open or comment. Thank you.

Hi Timur,

About the comments, i had already filed a bug for such an on and off switch for the View menu in bug 84837, so it matches the same feature that is in writer. Once that is done, it would be easy to get it into the toolbar, though i dont know how often users would be toggling it and a shortcut key would be more likely used by advanced users.
Comment 4 Yousuf Philips (jay) 2014-10-29 20:52:31 UTC
Created attachment 108647 [details]
mockup screenshot

This is a customization i came up with before going through the stats. I believe it still needs more organization, but my primary goal was to have all the needed buttons available.

The blue right arrow next to merge cells is for wrap text, as i havent done an icon for it yet. :D
Comment 5 Yousuf Philips (jay) 2014-11-03 02:39:18 UTC
So lets begin with the standard toolbar. Comments are always welcome. :D

1) Removal of less used buttons - Similar to the writer stats, help and document as e-mail are highly unused, so they should be hidden.

2) Unhide useful buttons - The only useful button that can be unhidden at the moment is the find & replace button, similar to writer, so lets unhide it. It would be good to unhide 'Save As' as well, but its best to do that when other modules also do it.

3) Rearranging icons - Similar to the rearrangement that has gone into Writer, we can group the function type buttons together (spellcheck, find & replace, navigator, sorting) and the insert type functions together (gallery, chart, hyperlink, draw functions)
Comment 6 A (Andy) 2014-11-03 19:19:55 UTC
I add Bug 76882:
Data -> Filter -> Autofilter: no icon for All
Comment 7 A (Andy) 2014-11-03 19:26:13 UTC
I add Bug 71111:
Maybe confusing naming of the functions
Comment 8 Yousuf Philips (jay) 2014-11-06 01:45:38 UTC
Removing the two Andy added as they are not related to the toolbars.
Comment 9 Yousuf Philips (jay) 2014-11-08 22:58:03 UTC
Put in a patch for comment 5 - https://gerrit.libreoffice.org/#/c/12317/
Comment 10 Yousuf Philips (jay) 2014-11-09 00:45:52 UTC
As spreadsheets are filled with cells, the addition and removal of cells, rows and columns are the most frequently used functions in calc. As this is so, its not surprising that 5 to 10% of usage of the row and column addition and removal come from the hidden toolbar buttons that users choose to unhide in the formatting toolbar.

Its great to see that ~65% of usage of these functions come from the context menu, but is unfortunate that 20 to 30% of usage of these functions are from the menu bar. So in order to improve the usage of the toolbar buttons and reduce the menu bar usage, row and column buttons will be unhidden.
Comment 11 Commit Notification 2014-11-09 11:12:28 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9667e015fcc89a4de9b9b8fdde8f4bc68f1eef81

fdo#85594 hiding, unhiding and rearranging standard toolbar buttons in Calc

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Yousuf Philips (jay) 2014-11-10 00:31:55 UTC
Put in a patch for comment 10 - https://gerrit.libreoffice.org/#/c/12329/

As there isnt room in the formatting toolbar, these 4 buttons have moved to the standard toolbar and additional less used buttons ( .uno:Gallery, .uno:ViewDataSourceBrowser, .uno:Navigator ) were hidden from the standard toolbar.

Also a less used button in the formatting toolbar is being hidden, Toggle Grid Lines (.uno:ToggleSheetGrid), and is now available in the View menu (bug 86046).
Comment 13 Yousuf Philips (jay) 2014-11-10 08:18:30 UTC
Two highly used functions that are only accessible in the menu are Data > Sort (.uno:DataSort) and Data > Filter > AutoFilter (.uno:DataFilterAutoFilter), so these two will be added to the standard toolbar next to the current sorts buttons.

Now taking at look over the formatting toolbar, lets follow similar steps as we did with the standard toolbar.

1) Removal of less used buttons - The least used entries are styles & formatting, justified, increase indent, decrease indent, and the already hidden grid lines.

2) Unhide useful buttons - The three vertical alignment buttons are being enabled by users and are frequently used, primarily vertical center. Border line style is also frequently used.

3) Rearranging icons - Similar to the rearrangement that has gone into Writer, we can move the font color and background color buttons next to the bold, italics and underline. we can group the function type buttons together (spellcheck, find & replace, navigator, sorting) and the insert type functions together (gallery, chart, hyperlink, draw functions)

4) Addition of new buttons - Number Format: Decimal is a useful button as it its currency without the currency sign.
Comment 14 Yousuf Philips (jay) 2014-11-10 14:48:24 UTC
Created attachment 109223 [details]
completed look

some slight changes are still needed
Comment 15 Yousuf Philips (jay) 2014-11-10 21:05:53 UTC
Put in a patch for comment 13 - https://gerrit.libreoffice.org/#/c/12353/

This also required the creation of a sort icon with this patch - https://gerrit.libreoffice.org/#/c/12354/
Comment 16 Commit Notification 2014-11-11 14:40:33 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=df8935be905d8121e574da7fcda9d9053b04bbf9

fdo#85594 show row and column insert and removal buttons and hiding others

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2014-11-11 15:10:18 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=36c853d20feb9c562dc08e59b1c9fcbf1a755329

fdo#85594 enabling sort, autofilter, alignment buttons and hiding others

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 18 Mikeyy - L10n HR 2014-11-16 14:45:38 UTC
Looks great, all the buttons I use are here!
As most unused buttons in your last image, I would say:
- gallery - I don't think I ever used that in calc
- format paintbrush - not really sure what this is for

Not sure what others think, but my opinion is that you can remove this and I won't miss it for sure.

As for improvements:

- add border lines toolbar button - this button should remeber LAST CHOICE and not ask every time I want to apply it
Comment 19 Yousuf Philips (jay) 2014-11-16 19:47:32 UTC
(In reply to Mikeyy - L10n HR from comment #18)
> Looks great, all the buttons I use are here!

Would be great to know which ones in particular. :D

> As most unused buttons in your last image, I would say:
> - gallery - I don't think I ever used that in calc
> - format paintbrush - not really sure what this is for
> 
> Not sure what others think, but my opinion is that you can remove this and I
> won't miss it for sure.

Gallery has already been removed :D. Format paintbrush is used to duplicate the formatting of one cell onto other cells, so it is used by many users.

> As for improvements:
> 
> - add border lines toolbar button - this button should remeber LAST CHOICE
> and not ask every time I want to apply it

Border line style has already been added to the toolbar, but space didnt permit so border line color wasnt. About remembering the last choice, this is when format paintbrush would come in handy. ;D
Comment 20 Mikeyy - L10n HR 2014-11-16 21:24:07 UTC
Created attachment 109560 [details]
My calc toolbar

I already commented my most used it in Writer bug, and on that icon pool via TDF planet.
Anyway:
- format number: decimal
- wrap
- vertical aligment
- save as

I removed spell check, gallery, cut, copy, paste, show/hide grid...
Since background/font color last picks are also remembered and can be applied with choosing it every time from dropdown, I think border line icon should keep same behaviour. Plus, it's same in excel.

Attached picture of my current toolbar. OM = wrap
Comment 21 Yousuf Philips (jay) 2014-11-16 21:51:48 UTC
(In reply to Mikeyy - L10n HR from comment #20)
> Anyway:
> - format number: decimal
> - wrap
> - vertical aligment
> - save as

I see that you placed decimal before currency. Do you think that should best order as i have it placed after percent?

> Since background/font color last picks are also remembered and can be
> applied with choosing it every time from dropdown, I think border line icon
> should keep same behaviour. Plus, it's same in excel.

Yes i think it would be great if it was done, as there is already a request for the cell borders to do the same thing (bug 58349), so please do submit a bug enhancement for it.

> Attached picture of my current toolbar. OM = wrap

Thanks for the screenshot Mikeyy. If you need a text wrap icon for sifr, you can use this one < http://cgit.freedesktop.org/libreoffice/core/plain/icon-themes/sifr/cmd/lc_wraptext.png?id=2788576c77f3adbd336f8a7f006d664b59575423 >
Comment 22 Mikeyy - L10n HR 2014-11-17 08:15:45 UTC
(In reply to Jay Philips from comment #21)
> I see that you placed decimal before currency. Do you think that should best
> order as i have it placed after percent?

Well, my reasoning was that it was exactly same format, just without " kn" at the end, "1.234,56" vs "1.234,56 kn". So it made sense to me to place decimal first, then currency. Not sure what was your resoning, but I don't think anyone will have anything against your placement. :)

> Yes i think it would be great if it was done, as there is already a request
> for the cell borders to do the same thing (bug 58349), so please do submit a
> bug enhancement for it.

Tried searching for that bug, but couldn't find it. Thanks, I commented there.

> Thanks for the screenshot Mikeyy. If you need a text wrap icon for sifr, you
> can use this one <
> http://cgit.freedesktop.org/libreoffice/core/plain/icon-themes/sifr/cmd/
> lc_wraptext.png?id=2788576c77f3adbd336f8a7f006d664b59575423 >

No problem. Thanks for icon.
Comment 23 Yousuf Philips (jay) 2014-11-17 19:06:48 UTC
(In reply to Mikeyy - L10n HR from comment #22)
> (In reply to Jay Philips from comment #21)
> > I see that you placed decimal before currency. Do you think that should best
> > order as i have it placed after percent?
> 
> Well, my reasoning was that it was exactly same format, just without " kn"
> at the end, "1.234,56" vs "1.234,56 kn". So it made sense to me to place
> decimal first, then currency. Not sure what was your resoning, but I don't
> think anyone will have anything against your placement. :)

Well i had seen it in that order in Excel and maybe it would be easier for people moving over from Excel to seem the same order.
Comment 24 Commit Notification 2014-11-18 09:34:57 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=124f5f0d14e1609c4a70d0573f10b669506c1d6f

fdo#85594 moving merge cells to standard toolbar

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 25 Commit Notification 2014-11-18 17:20:38 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8cf085175e49779d2d42f279859ab65046a7dfc0

fdo#85594 renabling a few entries and adding addition hidden entries

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 26 Commit Notification 2014-11-20 09:19:45 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f8b4f8c3a035f61a4dcc376cbbadc3a160b89239

fdo#85594 enabling date format and pivot table and adding a more hidden ones

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 27 Commit Notification 2014-11-25 11:28:38 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=55f3e0d1f99023e8987af78d92267f5b8e414cfb&h=libreoffice-4-4

fdo#85594 enable conditional formatting button, add icons, and tooltips

It will be available in 4.4.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 28 Commit Notification 2014-11-25 11:29:51 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=db1a9ba11750fe8df475907f57a84f99f2f355de

fdo#85594 enable conditional formatting button, add icons, and tooltips

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 29 Commit Notification 2014-12-03 16:31:03 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ebf31a9b2c98167c2d46e16a19a75c287b0a4c6b

fdo#85594 enabling date format and rearranging others

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 30 Commit Notification 2014-12-03 16:32:19 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6583a82584ae9e716cd27f05ce02b3b63b6d4c80&h=libreoffice-4-4

fdo#85594 enabling date format and rearranging others

It will be available in 4.4.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 31 Adolfo Jayme 2014-12-17 06:20:46 UTC
Jay,

can you please update the small Tango icons for inserting and removing rows and columns? You’ve only pushed the large versions, and the old, small ones remain, looking quite inconsistent. Thanks in advance!
Comment 32 Yousuf Philips (jay) 2014-12-20 08:06:24 UTC
Adolfo,

I updated the large tango icons based on the design of the small icons because they were inconsistent, so there isnt a need to update the small icons.
Comment 33 Mike §chinagl 2014-12-20 21:43:45 UTC
This bug fix comes with LibreOffice 4.4 (release notes https://wiki.documentfoundation.org/ReleaseNotes/4.4) 


The “Standard” and “Formatting” toolbars were reorganized by removing uncommonly used commands and replacing them with frequent features, in order to reduce the need for users to hunt through menus or customize toolbars. Additional buttons have been added to the toolbars, but are hidden by default and can be enabled by using the toolbar right-click context menu “Customize Toolbar...” option or Tools ▸ Customize....

See a graphic of the work:
https://wiki.documentfoundation.org/File:Before_and_after_1280-calc.png
Comment 34 Adolfo Jayme 2015-01-17 14:07:44 UTC
Created attachment 112393 [details]
Screenshot

(In reply to Jay Philips from comment #32)
> I updated the large tango icons based on the design of the small icons

Nope, the icons look obviously inconsistent…
Comment 35 Mike §chinagl 2015-01-22 10:50:59 UTC
If this feature is not functional now, it should not be listed in the release notes (https://wiki.documentfoundation.org/ReleaseNotes/4.4) of the coming version 4.4. (release is planned to happen in a few days: https://wiki.documentfoundation.org/ReleasePlan/4.4)

The status of the bug should also be changed by competent people.
Comment 36 Timur 2015-02-16 14:25:03 UTC
Looking at available Paste toolbar items in LO Calc 4.4.0, I noticed that:
- there is "Paste Only" item, but I don't know what it does?
- there are 2 Paste Special icons, which I presume are for Windows and Linux, because their shortcut keys are different (Insert and Ctrl+Shift+V)?
- there is NO "Paste Link" item and icon, which I'd find useful

So, I think there should be a new function "Paste Link" with toolbar item and icon, and shortcut key. Before I submit a new bug, please comment.
Comment 37 Yousuf Philips (jay) 2015-03-14 20:55:29 UTC
(In reply to Timur from comment #36)
> Looking at available Paste toolbar items in LO Calc 4.4.0, I noticed that:
> - there is "Paste Only" item, but I don't know what it does?
> - there are 2 Paste Special icons, which I presume are for Windows and
> Linux, because their shortcut keys are different (Insert and Ctrl+Shift+V)?
> - there is NO "Paste Link" item and icon, which I'd find useful
> 
> So, I think there should be a new function "Paste Link" with toolbar item
> and icon, and shortcut key. Before I submit a new bug, please comment.

I didnt understand this, so please clarify it.
Comment 38 Timur 2015-03-18 17:19:29 UTC
I'm referring to 7 Tools-Customize-Toolbar items from Edit category related to Paste.
Comment 39 Yousuf Philips (jay) 2015-03-18 21:10:55 UTC
(In reply to Timur from comment #36)
> Looking at available Paste toolbar items in LO Calc 4.4.0, I noticed that:
> - there is "Paste Only" item, but I don't know what it does?

No idea what this does, but doubt it needs to be there.

> - there are 2 Paste Special icons, which I presume are for Windows and
> Linux, because their shortcut keys are different (Insert and Ctrl+Shift+V)?

The first paste special brings up the standard paste special dialog found in other modules and the second paste special brings up another type of a calc unique paste special dialog where you can choose what you want to paste, like just text or just numbers, etc.

> - there is NO "Paste Link" item and icon, which I'd find useful
> 
> So, I think there should be a new function "Paste Link" with toolbar item
> and icon, and shortcut key. Before I submit a new bug, please comment.

Well you should request for a new UNO command to be created for this.
Comment 40 Commit Notification 2015-04-06 17:43:36 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4ebebeba72ce21752da81f83670d2d5dd8816cde

tdf#85594 Addition of freeze, split, header & footer, and symbol buttons

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 41 Commit Notification 2015-04-09 09:00:36 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6ea42ddf8f06b7551e80a906908dbad0766a68c6

tdf#85594 Additional tweaking of the standard, formatting and draw toolbars

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 42 Commit Notification 2015-06-07 17:21:01 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=932d9cd9c9effcbc8b24c10aa7322e42a1cbc908

tdf#85594 Additional tweaks to standard and drawing toolbars

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 43 Commit Notification 2015-06-19 20:04:07 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4f2b3b7edb565230f35bfd5baa877b2c9cd3c692&h=libreoffice-5-0

tdf#85594 Additional tweaks to standard and drawing toolbars

It will be available in 5.0.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 44 Commit Notification 2016-06-06 07:25:36 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3eb15d6119ff36d79aed3b8a42bac42c25afea4e

tdf#85594 Unify Calc drawing toolbar with Writer

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 45 Commit Notification 2016-06-07 08:09:43 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8971055bb1010ebfce38b1d0cb5a740f2ee9cc84&h=libreoffice-5-2

tdf#85594 Unify Calc drawing toolbar with Writer

It will be available in 5.2.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 46 Commit Notification 2017-05-27 21:18:29 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=76c74cfe6db292cb69495887cb2efcb6d52b204b

tdf#85594 Add reset default formatting to standard toolbar

It will be available in 5.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 47 Commit Notification 2017-06-07 13:26:00 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8890b3a38f8bb628c526a2078265de6e066a6336&h=libreoffice-5-4

tdf#85594 Add reset default formatting to standard toolbar

It will be available in 5.4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.